Subject: Re: simple cvs-like git wrapper

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Jan 2008 22:17:14 -0800

"Shawn O. Pearce" <[email-masked]> writes:

> This is going to be slow as you are running git-merge for each
> and every branch available to you.  You can do a lot better by
> loading the branch DAG into memory in Perl/C/Python and doing a
> graph coloring algorithm to see if a merge is necessary or not,
> as if you are merging everything all of the time almost everything
> is going to be always merged to everything else.  Which as I said
> earlier is nuts.

I guess you can ask "show-branch --independent" to cull branches
that are pure subset of other branches.

But no matter how you do this, the resulting history would be
less efficient to bisect if you make Octopus.

As you can ask "git log --no-merges" to omit merges from the
listing, I am not sure if it is worth it to avoid two-side
merges and insist on making an Octopus these days.